//-----------------------------------------------------------------------------
// clock.m
//
// Example of a Clock Script
// Displays the current time in the Timer when not playing.
//
// created by FrisbeeMonkey
//-----------------------------------------------------------------------------

//                         USING THIS SCRIPT:
//*****************************************************************************
//  1.  Define a Timer in your XML, something like:
//        <!-- Timer -->
//        <Text
//          id="ClockTimer"
//          display="time"
//          x="194" y="10"
//          w="70" h="18"
//          font="player.timernum"
//          align="right"
//          shadowcolor="0,0,0"
//          shadowx="0" shadowy="1"
//          timecolonwidth="7"
//        />
//  2.  Make sure its id is "Timer".
//  3.  Copy this script (and clock.maki) to your scripts folder.
//  4.  If you don't have clock.maki, compile this script.
//  5.  Add this line to the group that contains your Timer:
//        <script id="clock" file="scripts/clock.maki"/>
//  6.  Refresh your skin(F5) and try it out.
//*****************************************************************************

// never forget to include std.mi
#include "../../../lib/std.mi"

//declares global variables for use in script
Global Text TimerTxt;
Global Timer ClockTmr;
Global Group cGroup;
Global Int currentTime;
Function setClockText(String txt);

//when the script is loaded, do this
System.onScriptLoaded() {
	//gets the group that has the objects we want
  layout normal = system.getContainer("main").getLayout("normal");

   group cGroup = normal.findObject("clk");

	//gets the id tag of the object we want
	TimerTxt = cGroup.findObject("Clock");

	// Initialize our timer
	ClockTmr = new Timer;
	ClockTmr.setDelay(500);
	ClockTmr.start();
}

//if updates the current time every 100 ms.

ClockTmr.onTimer() {
ClockTmr.stop();

		currentTime = System.getTimeOfDay();
        // add 12 if time is between 12 and 1 am
		if ( currentTime < 3600000 ) {
			currentTime = currentTime + 43200000;
        }
		
		        
		//keeps time on a 12 not 24 hr basis
		if ( currentTime > 46800000 ) {
			currentTime = currentTime - 43200000;
        }

        if(currenttime<36000000)
                setClockText("0" + integerToLongTime(currentTime));
        
        if(currenttime>=36000000)
                setClockText(integerToLongTime(currentTime));
                
                
//        string TimeStr = ("0" + integerToLongTime(currentTime));
        
		//displays current time in Timer

ClockTmr.start();
}


setClockText(String txt) {
 
 TimerTxt.setText(txt);

}


//deletes the Timer when the script is unloaded

System.onScriptUnloading() {
  delete ClockTmr;

}
