/*--------------------------------------------------------------------
 Main/Normal player group script.
--------------------------------------------------------------------*/

#include <lib/std.mi>
#include <lib/pldir.mi>

Function setTempText(String txt);
Function emptyTempText();

Global Text Songticker;
Global Slider Volbar, Preamp, Bal, E1, E2, E3, E4, E5, E6, E7, E8, E9, E10;

Class GuiObject HintObject;
Class ToggleButton HintToggleButton;

Global HintObject Play, Stop, Previous, Next, Pause, Open, Ml, Pl, Cros, Shuf, Rep, Equ, Auto, Pre, Mini, Close, Dance, Pop, Rock, Club, Loudness, VolBut, VisBut, ClkBut;


System.onScriptLoaded() {
  layout normal = system.getContainer("main").getLayout("normal");

  group	display = normal.findObject("player.normal.lcd");
  group pgroup = normal.findObject("sliders");
  group	buttons = normal.findObject("buttons");
  group	buttons_function = normal.findObject("buttons_function");
  group	eq = normal.findObject("eq");
  group	sysbuttons = normal.findObject("sysbuttons");
  group	dr = normal.findObject("drawer");
  group	cfg = normal.findObject("cfg");


  // Get songticker, Volbar & Seeker
  Songticker = display.findObject("Songticker");
  if (songticker == null) messagebox("ooch!!", "ooch", 0, "");

    Volbar = pgroup.findObject("Volume");
    Bal = pgroup.findObject("Balance");

    Play = buttons.findObject("Play");
    Pause = buttons.findObject("Pause");
    Stop = buttons.findObject("Stop");
    Next = buttons.findObject("Next");
    Previous = buttons.findObject("Previous");
    Open = buttons.findObject("Eject");

    Ml = buttons_function.findObject("Ml");
    Pl = buttons_function.findObject("Pl");
    Cros = buttons_function.findObject("Crossfade");
    Shuf = buttons_function.findObject("Shuffle");
    Rep = buttons_function.findObject("Repeat");
    Equ = eq.findObject("eq-power");
    Auto = eq.findObject("auto");
    Pre = eq.findObject("presets");

    Mini = eq.findObject("minimize");
    Close = eq.findObject("close");

    Dance = dr.findObject("dance");
    Pop = dr.findObject("pop");
    Rock = dr.findObject("rock");
    Club = dr.findObject("club");
    Loudness = dr.findObject("loud");

    VolBut = dr.findObject("vol_mode");
    VisBut = dr.findObject("vis_mode");
    ClkBut = dr.findObject("clock");

    e1 = eq.findObject("eq1");
    e2 = eq.findObject("eq2");
    e3 = eq.findObject("eq3");
    e4 = eq.findObject("eq4");
    e5 = eq.findObject("eq5");
    e6 = eq.findObject("eq6");
    e7 = eq.findObject("eq7");
    e8 = eq.findObject("eq8");
    e9 = eq.findObject("eq9");
    e10 = eq.findObject("eq10");
    preamp = eq.findObject("preamp");

}

Bal.onSetPosition(int p)
{
  Float f;
 

if(p<122) 
       {
         f=1-(p/127);
         f=f*100;
         setTempText("Balance - Left: " + System.integerToString(f) + "%");
       }

         if(p>=122 && p<=132)
       {
         setTempText("Balance : Centered");
       }

if(p>132) 
       {
        p=p-127;
        f=p/128;
        f=f*100;
        setTempText("Balance - Right: " + System.integerToString(f) + "%");
       }

}


Bal.onSetFinalPosition(int p) {
  Songticker.setAlternateText("");
}

Volbar.onSetPosition(int p) {
  Float f;
  f = p;
  f = f / 255 * 100;
  setTempText("..Volume: " + System.integerToString(f) + "% ..");
}

Volbar.onSetFinalPosition(int p) {
  Songticker.setAlternateText("");
}

preamp.onSetPosition(int p)
{
  Float f;
 

if(p<122) 
       {
         f=1-(p/127);
         f=f*20;
         setTempText("Preamp: -" + System.integerToString(f) + " dB");
       }

         if(p>=122 && p<=132)
       {
         setTempText("Preamp: 0 dB");
       }

if(p>132) 
       {
        p=p-127;
        f=p/128;
        f=f*20;
        setTempText("Preamp: +" + System.integerToString(f) + " dB");
       }

}


Preamp.onSetFinalPosition(int p) {
  Songticker.setAlternateText("");
}

e1.onSetPosition(int p)
{
  Float f;
 

if(p<122) 
       {
         f=1-(p/127);
         f=f*20;
         setTempText("60 Hz: -" + System.integerToString(f) + " dB");
       }

         if(p>=122 && p<=132)
       {
         setTempText("60 Hz: 0 dB");
       }

if(p>132) 
       {
        p=p-127;
        f=p/128;
        f=f*20;
        setTempText("60 Hz: +" + System.integerToString(f) + " dB");
       }

}


e1.onSetFinalPosition(int p) {
  Songticker.setAlternateText("");
}

e2.onSetPosition(int p)
{
  Float f;
 

if(p<122) 
       {
         f=1-(p/127);
         f=f*20;
         setTempText("170 Hz: -" + System.integerToString(f) + " dB");
       }

         if(p>=122 && p<=132)
       {
         setTempText("170 Hz: 0 dB");
       }

if(p>132) 
       {
        p=p-127;
        f=p/128;
        f=f*20;
        setTempText("170 Hz: +" + System.integerToString(f) + " dB");
       }

}


e2.onSetFinalPosition(int p) {
  Songticker.setAlternateText("");
}

e3.onSetPosition(int p)
{
  Float f;
 

if(p<122) 
       {
         f=1-(p/127);
         f=f*20;
         setTempText("310 Hz: -" + System.integerToString(f) + " dB");
       }

         if(p>=122 && p<=132)
       {
         setTempText("310 Hz: 0 dB");
       }

if(p>132) 
       {
        p=p-127;
        f=p/128;
        f=f*20;
        setTempText("310 Hz: +" + System.integerToString(f) + " dB");
       }

}


e3.onSetFinalPosition(int p) {
  Songticker.setAlternateText("");
}

e4.onSetPosition(int p)
{
  Float f;
 

if(p<122) 
       {
         f=1-(p/127);
         f=f*20;
         setTempText("600 Hz: -" + System.integerToString(f) + " dB");
       }

         if(p>=122 && p<=132)
       {
         setTempText("600 Hz: 0 dB");
       }

if(p>132) 
       {
        p=p-127;
        f=p/128;
        f=f*20;
        setTempText("600 Hz: +" + System.integerToString(f) + " dB");
       }

}


e4.onSetFinalPosition(int p) {
  Songticker.setAlternateText("");
}

e5.onSetPosition(int p)
{
  Float f;
 

if(p<122) 
       {
         f=1-(p/127);
         f=f*20;
         setTempText("1 kHz: -" + System.integerToString(f) + " dB");
       }

         if(p>=122 && p<=132)
       {
         setTempText("1 kHz: 0 dB");
       }

if(p>132) 
       {
        p=p-127;
        f=p/128;
        f=f*20;
        setTempText("1 kHz: +" + System.integerToString(f) + " dB");
       }

}


e5.onSetFinalPosition(int p) {
  Songticker.setAlternateText("");
}

e6.onSetPosition(int p)
{
  Float f;
 

if(p<122) 
       {
         f=1-(p/127);
         f=f*20;
         setTempText("3 kHz: -" + System.integerToString(f) + " dB");
       }

         if(p>=122 && p<=132)
       {
         setTempText("3 kHz: 0 dB");
       }

if(p>132) 
       {
        p=p-127;
        f=p/128;
        f=f*20;
        setTempText("3 kHz: +" + System.integerToString(f) + " dB");
       }

}


e6.onSetFinalPosition(int p) {
  Songticker.setAlternateText("");
}

e7.onSetPosition(int p)
{
  Float f;
 

if(p<122) 
       {
         f=1-(p/127);
         f=f*20;
         setTempText("6 kHz: -" + System.integerToString(f) + " dB");
       }

         if(p>=122 && p<=132)
       {
         setTempText("6 kHz: 0 dB");
       }

if(p>132) 
       {
        p=p-127;
        f=p/128;
        f=f*20;
        setTempText("6 kHz: +" + System.integerToString(f) + " dB");
       }

}


e7.onSetFinalPosition(int p) {
  Songticker.setAlternateText("");
}

e8.onSetPosition(int p)
{
  Float f;
 

if(p<122) 
       {
         f=1-(p/127);
         f=f*20;
         setTempText("12 kHz: -" + System.integerToString(f) + " dB");
       }

         if(p>=122 && p<=132)
       {
         setTempText("12 kHz: 0 dB");
       }

if(p>132) 
       {
        p=p-127;
        f=p/128;
        f=f*20;
        setTempText("12 kHz: +" + System.integerToString(f) + " dB");
       }

}


e8.onSetFinalPosition(int p) {
  Songticker.setAlternateText("");
}

e9.onSetPosition(int p)
{
  Float f;
 

if(p<122) 
       {
         f=1-(p/127);
         f=f*20;
         setTempText("14 kHz: -" + System.integerToString(f) + " dB");
       }

         if(p>=122 && p<=132)
       {
         setTempText("14 kHz: 0 dB");
       }

if(p>132) 
       {
        p=p-127;
        f=p/128;
        f=f*20;
        setTempText("14 kHz: +" + System.integerToString(f) + " dB");
       }

}


e9.onSetFinalPosition(int p) {
  Songticker.setAlternateText("");
}

e10.onSetPosition(int p)
{
  Float f;
 

if(p<122) 
       {
         f=1-(p/127);
         f=f*20;
         setTempText("16 kHz: -" + System.integerToString(f) + " dB");
       }

         if(p>=122 && p<=132)
       {
         setTempText("16 kHz: 0 dB");
       }

if(p>132) 
       {
        p=p-127;
        f=p/128;
        f=f*20;
        setTempText("16 kHz: +" + System.integerToString(f) + " dB");
       }

}


e10.onSetFinalPosition(int p) {
  Songticker.setAlternateText("");
}

HintObject.onLeftButtonDown(int x, int y) {
  if (HintObject == Play) setTempText("Play");
  else if (HintObject == Stop) setTempText("Stop");
  else if (HintObject == Pause) setTempText("Pause");
  else if (HintObject == Next) setTempText("Next");
  else if (HintObject == Previous) setTempText("Previous");
  else if (HintObject == Open) setTempText("Open");
  else if (HintObject == ML) setTempText("Media Library");
  else if (HintObject == PL) setTempText("Playlist Editor");
  else if (HintObject == Cros) setTempText("Crosfade");
  else if (HintObject == Rep) setTempText("Repeat");
  else if (HintObject == Shuf) setTempText("Shuffle");
  else if (HintObject == Equ) setTempText("Toggle Equalizer");
  else if (HintObject == Auto) setTempText("Automatic Eq");
  else if (HintObject == Pre) setTempText("Presets");
  else if (HintObject == Mini) setTempText("Minimize Winamp");
  else if (HintObject == Close) setTempText("Close Winamp");
  else if (HintObject == Dance) setTempText("EQ preset: Dance");
  else if (HintObject == Pop) setTempText("EQ preset: Pop");
  else if (HintObject == Rock) setTempText("EQ preset: Rock");
  else if (HintObject == Club) setTempText("EQ preset: Club");
  else if (HintObject == Loudness) setTempText("EQ preset: Loudness");
  else if (HintObject == VolBut) setTempText("Volume");
  else if (HintObject == VisBut) setTempText("Spectrum analizer");
  else if (HintObject == ClkBut) setTempText("Clock");
}

setTempText(String txt) {
  Songticker.setAlternateText(txt);
}

emptyTempText() {
  Songticker.setAlternateText("");
}